assetsCompute a debt payoff plan

Compute a debt payoff plan

curl -X POST "https://api.403fin.io/v1/debt/payoff-plan" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "liability_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "strategy": "snowball",
  "custom_order": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "total_monthly_budget": "example_string",
  "extra_monthly_payment": "example_string"
}'
{
  "data": {
    "debts": [
      {
        "liability_id": "123e4567-e89b-12d3-a456-426614174000",
        "payoff_month": 42,
        "payoff_date": "2024-12-25",
        "total_interest": "example_string",
        "total_paid": "example_string",
        "payoff_order": 42,
        "negative_amortization": true
      }
    ],
    "debt_free_date": "2024-12-25",
    "total_interest": "example_string",
    "total_paid": "example_string",
    "baseline_total_interest": "example_string",
    "interest_saved_vs_minimum": "example_string",
    "minimum_required_budget": "example_string",
    "currency": "example_string",
    "budget_insufficient": true,
    "plan_feasible": true,
    "horizon_exceeded": true,
    "assumptions": [
      "example_string"
    ],
    "timeline": [
      {
        "month": "example_string",
        "total_balance": "example_string",
        "cumulative_interest": "example_string",
        "debts": [
          {
            "liability_id": "123e4567-e89b-12d3-a456-426614174000",
            "balance": "example_string"
          }
        ]
      }
    ],
    "excluded": [
      {
        "liability_id": "123e4567-e89b-12d3-a456-426614174000",
        "reason": "example_string"
      }
    ]
  },
  "pagination": {
    "next_cursor": "example_string",
    "has_more": true
  },
  "redacted_fields": [
    "example_string"
  ],
  "filtered": true
}
POST
/v1/debt/payoff-plan
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.

An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
API Key (header: X-API-Key)
X-API-Keystring
Required

An opaque ff_ credential presented in the X-API-Key header.

An opaque ff_ credential presented in the X-API-Key header.
Content-Typestring
Required

The media type of the request body

Options: application/json
strategystring
Options: snowball, avalanche, custom
custom_orderarray

The explicit payoff order when strategy is custom.

total_monthly_budgetstring

A decimal amount string.

extra_monthly_paymentstring

A decimal amount string.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.

header
X-API-Keystring
Required

API Key for authentication. An opaque ff_ credential presented in the X-API-Key header.

Body

application/json
strategystring
Allowed values:snowballavalanchecustom
custom_orderarray

The explicit payoff order when strategy is custom.

total_monthly_budgetstring

A decimal amount string.

extra_monthly_paymentstring

A decimal amount string.

Responses

dataobject
Required
paginationstring

Cursor pagination state, present on list endpoints.

redacted_fieldsstring[]

Field ids stripped from the payload by connection scope.

filteredboolean

True when row or aggregate filtering is in effect for this response.